--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: alias the MySQL, PostgreSQL, Sqlite3 and Oracle adapters to use transactions
  name: MysqlAdapter
  value: PostgresAdapter = Sqlite3Adapter = OracleAdapter = Adapter
full_name: DataMapper::Transaction
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: begin
- !ruby/object:RI::MethodSummary 
  name: commit
- !ruby/object:RI::MethodSummary 
  name: link
- !ruby/object:RI::MethodSummary 
  name: method_missing
- !ruby/object:RI::MethodSummary 
  name: primitive_for
- !ruby/object:RI::MethodSummary 
  name: rollback
- !ruby/object:RI::MethodSummary 
  name: within
name: Transaction
superclass: Object
